summaryrefslogtreecommitdiff
path: root/desktop/scripts
diff options
context:
space:
mode:
authorJens-Heiner Rechtien <hr@openoffice.org>2006-05-08 14:35:41 +0000
committerJens-Heiner Rechtien <hr@openoffice.org>2006-05-08 14:35:41 +0000
commitfdf094516a9f8faa9a81692b2c5e1f7d0216545d (patch)
treeafaa959934674f6363f311556f4e8f85ce6985f2 /desktop/scripts
parent775743fc8e2d187a23e0fa5ecb2205a7a4d3c821 (diff)
INTEGRATION: CWS soc (1.21.14.1.4); FILE MERGED
2006/04/25 12:28:19 rt 1.21.14.1.4.3: RESYNC: (1.21.14.1-1.23); FILE MERGED 2006/03/21 11:27:49 abi 1.21.14.1.4.2: checking in under linux 2006/03/21 08:48:35 abi 1.21.14.1.4.1: killing soffice.bin after terminating sofficeshellscript
Diffstat (limited to 'desktop/scripts')
-rw-r--r--desktop/scripts/soffice.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
index cafdde43f6e2..e5f889d93ad6 100644
--- a/desktop/scripts/soffice.sh
+++ b/desktop/scripts/soffice.sh
@@ -5,9 +5,9 @@
#
# $RCSfile: soffice.sh,v $
#
-# $Revision: 1.23 $
+# $Revision: 1.24 $
#
-# last change: $Author: rt $ $Date: 2006-03-08 14:17:45 $
+# last change: $Author: hr $ $Date: 2006-05-08 15:35:41 $
#
# The Contents of this file are made available subject to
# the terms of GNU Lesser General Public License Version 2.1.
@@ -229,12 +229,16 @@ else
fi
export PATH
+
# execute soffice binary
-"$sd_prog/$sd_binary" "$@"
+"$sd_prog/$sd_binary" "$@" &
+trap 'kill -9 $!' TERM
+wait $!
while [ $? -eq 79 ]
do
- "$sd_prog/$sd_binary" ""$BOOTSTRAPVARS""
+ "$sd_prog/$sd_binary" ""$BOOTSTRAPVARS"" &
+ wait $!
done
exit